`tomcat` – a minimal [TOML](https://toml.io) parser for the command line.

## Installation

### From Source

1. Run `cargo --install --git https://git.tebibyte.media/emma/tomcat.git`
2. ???
3. Profit

Also make sure that your cargo `bin` directory (by default in 
`"$CARGO_HOME"/bin`) is in your `$PATH`; I recommend symlinking the folder to
`"$HOME/.local/bin` and adding that to your user `$PATH`.

## Usage

Assuming the TOML file being parsed is `file.toml`:

To get the value of top-level key `notable`:

`tomcat notable file.toml`

To get the value of `key` from the `main` table:

`tomcat main.key file.toml`

To get the value of `key` from the subtable `subtab` in table `main`:

`tomcat main.subtab.key file.toml`

To get the value of index `3` in array `arr` in table `main`:

`tomcat main.arr[3] file.toml`
